What are the DSi compatible flashcarts?

Discussion in 'NDS - Flashcarts and Accessories' started by nintennuendo, Aug 14, 2009.

Aug 14, 2009
  1. nintennuendo
    OP

    Newcomer nintennuendo Advanced Member

    Joined:
    Mar 12, 2008
    Messages:
    58
    Location:
    east coast usa
    Country:
    United States
    My DS is a little wonky. The down on the D-Pad isn't very quick to respond, and my CycloEvo and/or EZflash 3n1 are buggin, not always booting correctly. If I got a DSi, what are the compatible flashcarts, and what method is there for playing GBA games? Is the built-in DSi music player decent, or any way to get it to play real music like .mp3s? Or should I stick with lmp-ng 2 alpha?
     
  2. HaniKazmi

    Member HaniKazmi GBAtemp Advanced Maniac

    Joined:
    Jan 30, 2008
    Messages:
    1,657
    Location:
    Manchester
    Country:
    United Kingdom
    The compatible flashcards are:
    EZVi
    Acekard 2i
    Supercard ds one i
    m3i zero
    and some r4 clones.

    There is no way to play gba games currently. As for music, the inbuilt player is great for aac files, other wise download and use moonshell 2 for other formats.
     
  3. Jakob95

    Suspended Jakob95 I am the Avatar

    Joined:
    Jan 15, 2009
    Messages:
    4,344
    Location:
    New York City
    Country:
    United States
    These are some DSI compatible cart.

    R4i RTS made by the M3 Team
    R4i SDHC made by M3 Team does not have RTS
    Ultra R4i
    R4i Gold
    R4i Pro
    DSTTi
    R4-SDHC
    R4i-SDHC Upgrade
    Super R4i Upgrade
    R4i Advance Revolution
    R4i Upgrade Revolution

    Acekard 2i - Soon to be Compatible with firmware 1.4 need another DS to flash if you already got 1.4
    Ez Flash Vi - Compatible with firmware 1.4 need another DS to flash if you already got 1.4
    M3 Zero - Soon to be Compatible with firmware 1.4
    Supercard Onei - Soon to be Compatible with firmware 1.4
    Itouch 2 - Never will be upgradable
     
  4. HaniKazmi

    Member HaniKazmi GBAtemp Advanced Maniac

    Joined:
    Jan 30, 2008
    Messages:
    1,657
    Location:
    Manchester
    Country:
    United Kingdom
    none of these can be upgraded, so not much point mentioning then
     
  5. Jakob95

    Suspended Jakob95 I am the Avatar

    Joined:
    Jan 15, 2009
    Messages:
    4,344
    Location:
    New York City
    Country:
    United States
    @HaniKazmi But they still do work on the NDSi with 1.3.

    EDIT: Actually all those carts I think could be upgraded. I got this from r4li.com

    Please DO NOT update your firmware of DSi to v1.4 if your card is bought before 13rd, August. The new offical firmware of v1.4 blocks any third part card. We fixed this issue. The R4i that is bought after on 13rd, August works on DSi of v1.4. We'll publish the new firmware to update your card if it's brought before 13rd, August. Please pay your patience. Enjoy your game and have funny.

    And from ItouchDS.com it says They are working on it

    And as for DSTTi theres nothing.
     
  6. clonesniper666

    Member clonesniper666 KRII LUN AUS

    Joined:
    Jul 31, 2007
    Messages:
    915
    Location:
    The Great Underworld Warzone
    Country:
    United States
    How can the itouch 2 be updated, since everybody else says it can not and it even states it in the review on here.
     
  7. CraigLOL

    Newcomer CraigLOL Member

    Joined:
    Aug 14, 2009
    Messages:
    11
    Country:
    United Kingdom
    I use Acekard 2i, The Acekard team are working on making it work on 1.4 FW.

    Acekard 2i works extremely well on my dsi and is very customizable which I like, i've not found any problems like Roms not working or crashing etc..

    Highly recommend it [​IMG]
     
  8. nintennuendo
    OP

    Newcomer nintennuendo Advanced Member

    Joined:
    Mar 12, 2008
    Messages:
    58
    Location:
    east coast usa
    Country:
    United States
    So the Acekard and the EZFlashV seem to be the best. R4 or anything like it does not seem like the way to go. Which is better? Is Team Cyclops making any progress towards a DSi Cart?
     
  9. Heartxattack

    Newcomer Heartxattack Member

    Joined:
    Sep 16, 2008
    Messages:
    10
    Country:
    Mexico
    DSTTi:

    Warning:

    Don't update NDSi to 1.4Version for the moment.

    If you do it, we have no any responsiblity.

    source
     
  10. papajohns

    Newcomer papajohns Newbie

    Joined:
    May 17, 2009
    Messages:
    4
    Country:
    United States
    becareful of dstti, but i am using m3i zero which i find to be excellent got mine from http://www.consolemodz.com very fast delivery
     

Share This Page